CentOS 7 : git (CESA-2018:3408)

High Nessus Plugin ID 119046

Synopsis

The remote CentOS host is missing one or more security updates.

Description

An update for git is now available for Red Hat Enterprise Linux 7.

Red Hat Product Security has rated this update as having a security impact of Important. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available for each vulnerability from the CVE link(s) in the References section.

Git is a distributed revision control system with a decentralized architecture. As opposed to centralized version control systems with a client-server model, Git ensures that each working copy of a Git repository is an exact copy with complete revision history. This not only allows the user to work on and contribute to projects without the need to have permission to push the changes to their official repositories, but also makes it possible for the user to work with no network connection.

Security Fix(es) :

* git: arbitrary code execution via .gitmodules (CVE-2018-17456)

For more details about the security issue(s), including the impact, a CVSS score, and other related information, refer to the CVE page(s) listed in the References section.

Solution

Update the affected git packages.

See Also

http://www.nessus.org/u?39b5ff45

Plugin Details

Severity: High

ID: 119046

File Name: centos_RHSA-2018-3408.nasl

Version: 1.1

Type: local

Agent: unix

Published: 2018/11/21

Modified: 2018/11/21

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:centos:centos:emacs-git, p-cpe:/a:centos:centos:emacs-git-el, p-cpe:/a:centos:centos:git, p-cpe:/a:centos:centos:git-all, p-cpe:/a:centos:centos:git-bzr, p-cpe:/a:centos:centos:git-cvs, p-cpe:/a:centos:centos:git-daemon, p-cpe:/a:centos:centos:git-email, p-cpe:/a:centos:centos:git-gnome-keyring, p-cpe:/a:centos:centos:git-gui, p-cpe:/a:centos:centos:git-hg, p-cpe:/a:centos:centos:git-instaweb, p-cpe:/a:centos:centos:git-p4, p-cpe:/a:centos:centos:git-svn, p-cpe:/a:centos:centos:gitk, p-cpe:/a:centos:centos:gitweb, p-cpe:/a:centos:centos:perl-Git, p-cpe:/a:centos:centos:perl-Git-SVN, cpe:/o:centos:centos:7

Required KB Items: Host/local_checks_enabled, Host/CentOS/release, Host/CentOS/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2018/11/20

Exploitable With

Metasploit (Malicious Git HTTP Server For CVE-2018-17456)

Reference Information

CVE: CVE-2018-17456

RHSA: 2018:3408